Axis2/C: soap fault role

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# soap fault role
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_fault_role_t * | axiom_soap_fault_role_create_with_parent (const axutil_env_t *env, axiom_soap_fault_t *fault)
AXIS2_EXTERN void | axiom_soap_fault_role_free (axiom_soap_fault_role_t *fault_role, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_role_set_role_value (axiom_soap_fault_role_t *fault_role, const axutil_env_t *env, axis2_char_t *uri)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_role_get_role_value (axiom_soap_fault_role_t *fault_role, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_role_get_base_node (axiom_soap_fault_role_t *fault_role, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_soap_fault_role_t* axiom_soap_fault_role_create_with_parent | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_t * | fault |
| ) |  |  |

creates a soap struct

Parameters:

  | env | Environment. MUST NOT be NULL

AXIS2_EXTERN void axiom_soap_fault_role_free | ( | axiom_soap_fault_role_t * | fault_role,
|  | const axutil_env_t * | env |
| ) |  |  |

Free an axiom_soap_fault_role

Parameters:

  | fault_role | pointer to soap_fault_role struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axiom_node_t* axiom_soap_fault_role_get_base_node | ( | axiom_soap_fault_role_t * | fault_role,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the base node of the OM SOAP fault role

Parameters:

  | fault_role | pointer to soap_fault_role struct
  | env | Environment. MUST NOT be NULL

Returns:
  the base node of the OM SOAP fault role

AXIS2_EXTERN axis2_char_t* axiom_soap_fault_role_get_role_value | ( | axiom_soap_fault_role_t * | fault_role,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the SOAP fault role value

Parameters:

  | fault_role | pointer to soap_fault_role struct
  | env | Environment. MUST NOT be NULL

Returns:
  the SOAP fault role value

AXIS2_EXTERN axis2_status_t axiom_soap_fault_role_set_role_value | ( | axiom_soap_fault_role_t * | fault_role,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | uri |
| ) |  |  |

Set the SOAP fault role value

Parameters:

  | fault_role | pointer to soap_fault_role struct
  | env | Environment. MUST NOT be NULL
  | uri | the URI to be set

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE